/* Hummingbird child theme — Full color control */


:root,[data-bs-theme=light] {
  --bs-blue: #0d6efd;
  --bs-indigo: #6610f2;
  --bs-purple: #6f42c1;
  --bs-pink: #d63384;
  --bs-red: #dc3545;
  --bs-orange: #fd7e14;
  --bs-yellow: #ffc107;
  --bs-green: #198754;
  --bs-teal: #20c997;
  --bs-cyan: #0dcaf0;
  --bs-black: #000;
  --bs-white: #fff;
  --bs-gray: #6c757d;
  --bs-gray-dark: #343a40;
  --bs-gray-100: #f8f9fa;
  --bs-gray-200: #e9ecef;
  --bs-gray-300: #dee2e6;
  --bs-gray-400: #ced4da;
  --bs-gray-500: #adb5bd;
  --bs-gray-600: #6c757d;
  --bs-gray-700: #495057;
  --bs-gray-800: #343a40;
  --bs-gray-900: #212529;
  --bs-primary: #ff4030;
  --bs-secondary: #6c757d;
  --bs-success: #198754;
  --bs-info: #0dcaf0;
  --bs-warning: #ffc107;
  --bs-danger: #dc3545;
  --bs-light: #f8f9fa;
  --bs-dark: #212529;
  --bs-primary-rgb: 255,64,48;
  --bs-secondary-rgb: 108,117,125;
  --bs-success-rgb: 25,135,84;
  --bs-info-rgb: 13,202,240;
  --bs-warning-rgb: 255,193,7;
  --bs-danger-rgb: 220,53,69;
  --bs-light-rgb: 248,249,250;
  --bs-dark-rgb: 33,37,41;
  --bs-primary-text-emphasis: #052c65;
  --bs-secondary-text-emphasis: #2b2f32;
  --bs-success-text-emphasis: #0a3622;
  --bs-info-text-emphasis: #055160;
  --bs-warning-text-emphasis: #664d03;
  --bs-danger-text-emphasis: #58151c;
  --bs-light-text-emphasis: #495057;
  --bs-dark-text-emphasis: #495057;
  --bs-primary-bg-subtle: #cfe2ff;
  --bs-secondary-bg-subtle: #e2e3e5;
  --bs-success-bg-subtle: #d1e7dd;
  --bs-info-bg-subtle: #cff4fc;
  --bs-warning-bg-subtle: #fff3cd;
  --bs-danger-bg-subtle: #f8d7da;
  --bs-light-bg-subtle: #fcfcfd;
  --bs-dark-bg-subtle: #ced4da;
  --bs-primary-border-subtle: #9ec5fe;
  --bs-secondary-border-subtle: #c4c8cb;
  --bs-success-border-subtle: #a3cfbb;
  --bs-info-border-subtle: #9eeaf9;
  --bs-warning-border-subtle: #ffe69c;
  --bs-danger-border-subtle: #f1aeb5;
  --bs-light-border-subtle: #e9ecef;
  --bs-dark-border-subtle: #adb5bd;
  --bs-white-rgb: 255,255,255;
  --bs-black-rgb: 0,0,0;
  --bs-font-sans-serif: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
  --bs-font-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
  /*--bs-gradient: linear-gradient(180deg,hsla(0,0%,100%,.15),hsla(0,0%,100%,0));*/
  --bs-body-font-family: "Inter",sans-serif;
  --bs-body-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.25;
  --bs-body-color: #212529;
  --bs-body-color-rgb: 33,37,41;
  --bs-body-bg: #fff;
  --bs-body-bg-rgb: 255,255,255;
  --bs-emphasis-color: #000;
  --bs-emphasis-color-rgb: 0,0,0;
  --bs-secondary-color: rgba(33,37,41,.75);
  --bs-secondary-color-rgb: 33,37,41;
  --bs-secondary-bg: #e9ecef;
  --bs-secondary-bg-rgb: 233,236,239;
  --bs-tertiary-color: rgba(33,37,41,.5);
  --bs-tertiary-color-rgb: 33,37,41;
  --bs-tertiary-bg: #f8f9fa;
  --bs-tertiary-bg-rgb: 248,249,250;
  --bs-heading-color: inherit;
  --bs-link-color: #ff4030;
  --bs-link-color-rgb: 255,64,48;
  --bs-link-decoration: underline;
  --bs-link-hover-color: #e71300;
  --bs-link-hover-color-rgb: 231,19,0;
  --bs-code-color: #d63384;
  --bs-highlight-color: #212529;
  --bs-highlight-bg: #fff3cd;
  /*--bs-border-width: 1px;
  --bs-border-style: solid;
  --bs-border-color: #dee2e6;
  --bs-border-color-translucent: rgba(0,0,0,.175);
  --bs-border-radius: 8px;
  --bs-border-radius-sm: 0.25rem; 
  --bs-border-radius-lg: 0.5rem;
  --bs-border-radius-xl: 1rem;
  --bs-border-radius-xxl: 2rem;
  --bs-border-radius-2xl: var(--bs-border-radius-xxl);
  --bs-border-radius-pill: 50rem;
  --bs-box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);
  --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0,0,0,.075);
  --bs-box-shadow-lg: 0 1rem 3rem rgba(0,0,0,.175);
  --bs-box-shadow-inset: inset 0 1px 2px rgba(0,0,0,.075);
  --bs-focus-ring-width: 0.25rem;
  --bs-focus-ring-opacity: 0.25;
  --bs-focus-ring-color: rgba(13,110,253,.25);
  --bs-form-valid-color: #198754;
  --bs-form-valid-border-color: #198754;
  --bs-form-invalid-color: #dc3545;
  --bs-form-invalid-border-color: #dc3545;*/
}

[data-bs-theme=dark] {
  color-scheme: dark;
  --bs-body-color: #dee2e6;
  --bs-body-color-rgb: 222,226,230;
  --bs-body-bg: #212529;
  --bs-body-bg-rgb: 33,37,41;
  --bs-emphasis-color: #fff;
  --bs-emphasis-color-rgb: 255,255,255;
  --bs-secondary-color: rgba(222,226,230,.75);
  --bs-secondary-color-rgb: 222,226,230;
  --bs-secondary-bg: #343a40;
  --bs-secondary-bg-rgb: 52,58,64;
  --bs-tertiary-color: rgba(222,226,230,.5);
  --bs-tertiary-color-rgb: 222,226,230;
  --bs-tertiary-bg: #2b3035;
  --bs-tertiary-bg-rgb: 43,48,53;
  --bs-primary-text-emphasis: #6ea8fe;
  --bs-secondary-text-emphasis: #a7acb1;
  --bs-success-text-emphasis: #75b798;
  --bs-info-text-emphasis: #6edff6;
  --bs-warning-text-emphasis: #ffda6a;
  --bs-danger-text-emphasis: #ea868f;
  --bs-light-text-emphasis: #f8f9fa;
  --bs-dark-text-emphasis: #dee2e6;
  --bs-primary-bg-subtle: #031633;
  --bs-secondary-bg-subtle: #161719;
  --bs-success-bg-subtle: #051b11;
  --bs-info-bg-subtle: #032830;
  --bs-warning-bg-subtle: #332701;
  --bs-danger-bg-subtle: #2c0b0e;
  --bs-light-bg-subtle: #343a40;
  --bs-dark-bg-subtle: #1a1d20;
  --bs-primary-border-subtle: #084298;
  --bs-secondary-border-subtle: #41464b;
  --bs-success-border-subtle: #0f5132;
  --bs-info-border-subtle: #087990;
  --bs-warning-border-subtle: #997404;
  --bs-danger-border-subtle: #842029;
  --bs-light-border-subtle: #495057;
  --bs-dark-border-subtle: #343a40;
  --bs-heading-color: inherit;
  --bs-link-color: #6ea8fe;
  --bs-link-hover-color: #8bb9fe;
  --bs-link-color-rgb: 110,168,254;
  --bs-link-hover-color-rgb: 139,185,254;
  --bs-code-color: #e685b5;
  --bs-highlight-color: #dee2e6;
  --bs-highlight-bg: #664d03;
  --bs-border-color: #495057;
  --bs-border-color-translucent: hsla(0,0%,100%,.15);
  --bs-form-valid-color: #75b798;
  --bs-form-valid-border-color: #75b798;
  --bs-form-invalid-color: #ea868f;
  --bs-form-invalid-border-color: #ea868f;
}

/* Paragraph Links */
a p{
  color: var(--bs-body-color) !important;
}

a:hover p, a:focus p {
  color: var(--bs-gray-dark) !important;
}

/* Buttons */
.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--bs-primary);
  --bs-btn-border-color: var(--bs-primary);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-link-hover-color);
  --bs-btn-hover-border-color: var(--bs-link-hover-color);
  --bs-btn-focus-shadow-rgb: var(--bs-primary-rgb);
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--bs-link-hover-color);
  --bs-btn-active-border-color: var(--bs-link-hover-color);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--bs-primary);
  --bs-btn-disabled-border-color: var(--bs-primary);
}

.btn-outline-primary {
  --bs-btn-color: var(--bs-primary);
  --bs-btn-border-color: var(--bs-primary);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-primary);
  --bs-btn-hover-border-color: var(--bs-primary);
  --bs-btn-focus-shadow-rgb: var(--bs-primary-rgb);
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--bs-primary);
  --bs-btn-active-border-color: var(--bs-primary);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
  --bs-btn-disabled-color: var(--bs-primary);
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: var(--bs-primary);
  --bs-gradient: none;
}

.btn-outline-primary:hover,
.btn-outline-primary:focus {
  color: #fff !important;
  background-color: var(--bs-primary) !important;
  border-color: var(--bs-primary) !important;

  --bs-btn-color: #fff;
  --bs-btn-bg: var(--bs-primary);
  --bs-btn-border-color: var(--bs-primary);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--bs-primary);
  --bs-btn-hover-border-color: var(--bs-primary);
  --bs-btn-focus-shadow-rgb: var(--bs-primary-rgb);
}


/* Cards and surfaces */

.card{

  border: 1px solid #e6e6e6 !important;
} 

.card:hover, .card:focus{
  
  transform: scale(1.05) translateY(-5px);

} 

/* Pursale FAQ Styling */
.pursale-faq-container {
    max-width: 900px;
    margin: 40px auto;
}

.pursale-faq-section-title {
    font-size: 26px;
    color: var(--bs-primary);
    border-bottom: 4px solid var(--bs-primary);
    padding-bottom: 12px;
    margin: 40px 0 25px 0;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 800;
}

.faq-item {
    margin-bottom: 20px;
    border: 2px solid rgba(var(--bs-primary-rgb), 0.2);
    border-radius: 12px;
    background: #fff;
    overflow: hidden;
}

.faq-item summary {
    padding: 25px;
    font-size: 22px;
    font-weight: 700;
    cursor: pointer;
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #000;
    transition: background 0.3s ease;
}

.faq-item summary:hover {
    background: rgba(var(--bs-primary-rgb), 0.03);
}

.faq-item summary::-webkit-details-marker {
    display: none;
}

.faq-item summary::after {
    content: '↓';
    font-size: 30px;
    color: var(--bs-primary);
    transition: transform 0.3s ease;
}

.faq-item[open] summary::after {
    transform: rotate(180deg);
}

.faq-content {
    padding: 25px;
    border-top: 1px solid rgba(var(--bs-primary-rgb), 0.1);
    font-size: 19px;
    line-height: 1.7;
    background: rgba(var(--bs-primary-rgb), 0.02);
    color: #444;
}

/* carousel Styling */
.carousel .carousel-caption .caption-description {
    max-width:none;
    display: flex;
    flex-direction: column; /* Stacks H1, H2, and Button vertically */
    align-items: center;    /* Centers everything horizontally */
    text-align: center;
}

.carousel-content .caption-description h2 {
    font-size: clamp(2.2rem, 5vw + 1rem, 4rem) !important;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: -1px;
    line-height: 1.1;
    margin-bottom: 1rem !important;
    color: var(--bs-primary);
}

.carousel-content .caption-description h3 {
    font-size: clamp(1.1rem, 2vw + 1rem, 1.8rem) !important;
    font-weight: 600;
    line-height: 1.4;
    margin: 0 auto 2rem auto !important; 
    opacity: 0.9;
}

.carousel-content .caption-description p {
  
    font-size: clamp(1rem, 1.2vw + 0.5rem, 1.2rem) !important;
    line-height: 1.6;
    margin: 0 auto 2rem auto !important; 
}

.carousel-content .cta-button {
    font-size: clamp(0.9rem, 1vw + 0.5rem, 1.1rem) !important;
    background-color: var(--bs-primary);
    color: #fff;
    padding: 15px 35px;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    font-weight: 600;
    border-radius: 4px;
    transition: transform 0.3s ease;
    width: 90%; 
    max-width: 400px;
    margin-bottom: 1rem;
  
}

.carousel-content .cta-button:hover {
    transform: translateY(-3px);
}



.carousel .carousel-control-next, .carousel .carousel-control-prev {
    visibility: hidden;
}

.ratio-homeSlider {
    min-height: 400px;
}
@media (min-width: 768px) {
    .ratio-homeSlider {
        --bs-aspect-ratio: 35%;
    }
}
@media (min-width: 1200px) {
    .ratio-homeSlider {
        --bs-aspect-ratio: 25%;
    }
}